# Interface UnknownBytecodeDecoding

This type represents a decoding of the return data as bytecode for an unknown class returned from a constructor.

NOTE: In the future, this type will also contain information about any linked libraries the contract being constructed uses. However, this is not implemented at present.

#### Category

Output

#### Hierarchy

- UnknownBytecodeDecoding

- Defined in codec/lib/types.ts:613

#####
Index

### Properties

bytecode
decodingMode
interpretations
kind
status

## Properties

### bytecode

bytecode: string

The bytecode of the contract that was created.

- Defined in codec/lib/types.ts:630

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:626

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:637

### kind

kind: "unknownbytecode"

The kind of decoding; indicates that this is an UnknownBytecodeDecoding.

- Defined in codec/lib/types.ts:617

### status

status: true

Indicates that this kind of decoding indicates a successful return.

- Defined in codec/lib/types.ts:621

Generated using TypeDoc